⌘K

MidJourney Variation

midjourney_variation

MidJourney Variation creates artistic variations of input images with different styles and compositions.

MidJourney API Notes

The MidJourney API is divided into two categories: Direct Generation and Secondary Editing. Direct Generation only requires providing necessary parameters such as prompts to generate images directly. Secondary Editing requires providing the previous task ID and image number to execute image generation. variation is a Secondary Editing category

Authentication

authorization string required

All APIs require authentication via Bearer Token.

Get API Key:

Visit API Key Management Page to get your API Key

Usage:

Add to request header:

Authorization: Bearer YOUR_API_KEY

Parameters

model string required

Model ID to use for the request.

Value: midjourney_variation


jobId string required

Job ID.


imageNo integer required

Image number, range 0-3.

Options: 0, 1, 2, 3


type integer required

Variation type: 0 (subtle), 1 (strong).

Options: 0, 1


callback string

Callback URL, must start with http:// or https://.


remixPrompt string

Remix prompt, length must be between 1-8192 characters.


Polling

Since result generation takes time, you need to poll the task status after creating the task.

The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.

See the examples on the right for polling requests and responses.

Response Format

error object

Error information. Only present when status is failed.

code integer

Error code.

error_message string

Detailed error message.


output array

Generation results. Only present when status is completed.

content array

List of generated content.

type string

Resource type, e.g., video, image.

url string

Generated content URL.


usage object

Usage statistics. Only present when status is completed.

cost string

Total cost in USD.

discount number

Discount amount.


metadata object

Metadata information.


Error Codes

Error CodeDescription
0No error
8004004001Job ID missing
8004004002Image number missing
8004004003Invalid image number
8004004004Type missing
8004004005Invalid type
8004004006Invalid callback URL
8004004007Invalid remix prompt length
8004004098Generation process failed
8004004099Provider unavailable